# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-altgraph
%global srcname altgraph

Name:           python-module-altgraph
Version:        0.10.1
Release:        alt1_2
Summary:        Python graph (network) package

Group:          Engineering
License:        MIT
URL:            http://pypi.python.org/pypi/altgraph/
Source0:        http://pypi.python.org/packages/source/a/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-module-distribute
Source44: import.info


%description
altgraph is a fork of graphlib: a graph (network) package for constructing
graphs, BFS, and DFS traversals, topological sort, shortest paths, etc. with
graphviz output.

%prep
%setup -q -n %{srcname}-%{version}
#Dot.py is provided by graphviz through pydot
rm altgraph/Dot.py

%build
python setup.py build

%install
python setup.py install -O1 --skip-build --root=%{buildroot}

%files
%doc PKG-INFO README.txt doc/_build/html/ altgraph_tests/
%{python_sitelibdir_noarch}/%{srcname}/
%{python_sitelibdir_noarch}/%{srcname}*.egg-info

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.10.1-alt1_2
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.10.1-alt1_1
- initial fc import

